unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{$J+}  //dyrektywa do stałej typowanej const
procedure TForm1.Button1Click(Sender: TObject);
const i:longword=0;
begin
   Label1.Caption:=Label1.Caption+#13+Inttostr(GetTickCount);
   Label2.Caption:=IntToStr(GetTickCount-i);  //od aktualnej wartości odejmowana
                                  //jest poprzednia wartość funkcji GetTickCount
   i:=GetTickCount;

end;

end.
